# Generated by Django 2.0.6 on 2018-10-15 18:33

import django.contrib.postgres.fields
import django.contrib.postgres.fields.jsonb
import django.contrib.postgres.indexes
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('lsmrapp', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='AntennaSet',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('tags', django.contrib.postgres.fields.ArrayField(base_field=models.CharField(max_length=30), blank=True, size=8)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('name', models.CharField(max_length=30)),
                ('description', models.CharField(max_length=255)),
                ('rcus', django.contrib.postgres.fields.ArrayField(base_field=models.IntegerField(), size=128)),
                ('inputs', django.contrib.postgres.fields.ArrayField(base_field=models.CharField(max_length=30), blank=True, size=128)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='CopyReasonChoice',
            fields=[
                ('value', models.CharField(max_length=30, primary_key=True, serialize=False, unique=True)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='Cycle',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('tags', django.contrib.postgres.fields.ArrayField(base_field=models.CharField(max_length=30), blank=True, size=8)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('name', models.CharField(max_length=30)),
                ('description', models.CharField(max_length=255)),
                ('start', models.DateTimeField()),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='DataformatChoice',
            fields=[
                ('value', models.CharField(max_length=30, primary_key=True, serialize=False, unique=True)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='Dataproduct',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('tags', django.contrib.postgres.fields.ArrayField(base_field=models.CharField(max_length=30), blank=True, size=8)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('filename', models.CharField(max_length=128)),
                ('directory', models.CharField(max_length=1024)),
                ('deleted_since', models.DateTimeField(null=True)),
                ('pinned_since', models.DateTimeField(null=True)),
                ('specification', django.contrib.postgres.fields.jsonb.JSONField()),
                ('dataformat', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='lsmrapp.DataformatChoice')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='DataproductRelation',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('tags', django.contrib.postgres.fields.ArrayField(base_field=models.CharField(max_length=30), blank=True, size=8)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('input', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='inputs_dataproduct_relation', to='lsmrapp.Dataproduct')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='DataproductSpecificationTemplate',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('tags', django.contrib.postgres.fields.ArrayField(base_field=models.CharField(max_length=30), blank=True, size=8)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('name', models.CharField(max_length=30)),
                ('description', models.CharField(max_length=255)),
                ('version', models.CharField(max_length=30)),
                ('schema', django.contrib.postgres.fields.jsonb.JSONField()),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='DatatypeChoice',
            fields=[
                ('value', models.CharField(max_length=30, primary_key=True, serialize=False, unique=True)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='DefaultDataproductSpecificationTemplate',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('tags', django.contrib.postgres.fields.ArrayField(base_field=models.CharField(max_length=30), blank=True, size=8)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('name', models.CharField(max_length=30, unique=True)),
                ('template', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='lsmrapp.DataproductSpecificationTemplate')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='DefaultGeneratorTemplate',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('tags', django.contrib.postgres.fields.ArrayField(base_field=models.CharField(max_length=30), blank=True, size=8)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('name', models.CharField(max_length=30, unique=True)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='DefaultRunTemplate',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('tags', django.contrib.postgres.fields.ArrayField(base_field=models.CharField(max_length=30), blank=True, size=8)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('name', models.CharField(max_length=30, unique=True)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='DefaultTaskTemplate',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('tags', django.contrib.postgres.fields.ArrayField(base_field=models.CharField(max_length=30), blank=True, size=8)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('name', models.CharField(max_length=30, unique=True)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='DefaultWorkRelationSelectionTemplate',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('tags', django.contrib.postgres.fields.ArrayField(base_field=models.CharField(max_length=30), blank=True, size=8)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('name', models.CharField(max_length=30, unique=True)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='DefaultWorkRequestTemplate',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('tags', django.contrib.postgres.fields.ArrayField(base_field=models.CharField(max_length=30), blank=True, size=8)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('name', models.CharField(max_length=30, unique=True)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='GeneratorTemplate',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('tags', django.contrib.postgres.fields.ArrayField(base_field=models.CharField(max_length=30), blank=True, size=8)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('name', models.CharField(max_length=30)),
                ('description', models.CharField(max_length=255)),
                ('version', models.CharField(max_length=30)),
                ('schema', django.contrib.postgres.fields.jsonb.JSONField()),
                ('create_func', models.CharField(max_length=30)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='Project',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('tags', django.contrib.postgres.fields.ArrayField(base_field=models.CharField(max_length=30), blank=True, size=8)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('name', models.CharField(max_length=30)),
                ('description', models.CharField(max_length=255)),
                ('priority', models.IntegerField(default=0)),
                ('can_trigger', models.BooleanField(default=False)),
                ('private_data', models.BooleanField(default=True)),
                ('cycle', models.ForeignKey(null=True, on_delete=django.db.models.deletion.PROTECT, related_name='projects', to='lsmrapp.Cycle')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='RoleChoice',
            fields=[
                ('value', models.CharField(max_length=30, primary_key=True, serialize=False, unique=True)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='RunBlueprint',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('tags', django.contrib.postgres.fields.ArrayField(base_field=models.CharField(max_length=30), blank=True, size=8)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('name', models.CharField(max_length=30)),
                ('description', models.CharField(max_length=255)),
                ('requirements_doc', django.contrib.postgres.fields.jsonb.JSONField()),
                ('do_cancel', models.BooleanField()),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='RunDraft',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('tags', django.contrib.postgres.fields.ArrayField(base_field=models.CharField(max_length=30), blank=True, size=8)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('name', models.CharField(max_length=30)),
                ('description', models.CharField(max_length=255)),
                ('requirements_doc', django.contrib.postgres.fields.jsonb.JSONField()),
                ('generator_param', models.CharField(max_length=200)),
                ('copies', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='copied_from', to='lsmrapp.RunDraft')),
                ('copy_reason', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='lsmrapp.CopyReasonChoice')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='RunSet',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('tags', django.contrib.postgres.fields.ArrayField(base_field=models.CharField(max_length=30), blank=True, size=8)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('name', models.CharField(max_length=30)),
                ('description', models.CharField(max_length=255)),
                ('generator_parameters_doc', django.contrib.postgres.fields.jsonb.JSONField()),
                ('generator_template', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, to='lsmrapp.GeneratorTemplate')),
                ('project', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='run_sets', to='lsmrapp.Project')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='RunTemplate',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('tags', django.contrib.postgres.fields.ArrayField(base_field=models.CharField(max_length=30), blank=True, size=8)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('name', models.CharField(max_length=30)),
                ('description', models.CharField(max_length=255)),
                ('version', models.CharField(max_length=30)),
                ('schema', django.contrib.postgres.fields.jsonb.JSONField()),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='StationTypeChoice',
            fields=[
                ('value', models.CharField(max_length=30, primary_key=True, serialize=False, unique=True)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='Tags',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=30)),
                ('description', models.CharField(max_length=255)),
            ],
        ),
        migrations.CreateModel(
            name='Task',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('tags', django.contrib.postgres.fields.ArrayField(base_field=models.CharField(max_length=30), blank=True, size=8)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('start_time', models.DateTimeField()),
                ('stop_time', models.DateTimeField()),
                ('specification', django.contrib.postgres.fields.jsonb.JSONField()),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='TaskIORole',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('tags', django.contrib.postgres.fields.ArrayField(base_field=models.CharField(max_length=30), blank=True, size=8)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('dataformats', models.ManyToManyField(blank=True, to='lsmrapp.DataformatChoice')),
                ('datatype', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='lsmrapp.DatatypeChoice')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='TaskStateChoice',
            fields=[
                ('value', models.CharField(max_length=30, primary_key=True, serialize=False, unique=True)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='TaskTemplate',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('tags', django.contrib.postgres.fields.ArrayField(base_field=models.CharField(max_length=30), blank=True, size=8)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('name', models.CharField(max_length=30)),
                ('description', models.CharField(max_length=255)),
                ('version', models.CharField(max_length=30)),
                ('schema', django.contrib.postgres.fields.jsonb.JSONField()),
                ('queue', models.BooleanField(default=False)),
                ('realtime', models.BooleanField(default=False)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='TaskTypeChoice',
            fields=[
                ('value', models.CharField(max_length=30, primary_key=True, serialize=False, unique=True)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='WorkIORole',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('tags', django.contrib.postgres.fields.ArrayField(base_field=models.CharField(max_length=30), blank=True, size=8)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('dataformats', models.ManyToManyField(blank=True, to='lsmrapp.DataformatChoice')),
                ('datatype', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='lsmrapp.DatatypeChoice')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='WorkRelationSelectionTemplate',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('tags', django.contrib.postgres.fields.ArrayField(base_field=models.CharField(max_length=30), blank=True, size=8)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('name', models.CharField(max_length=30)),
                ('description', models.CharField(max_length=255)),
                ('version', models.CharField(max_length=30)),
                ('schema', django.contrib.postgres.fields.jsonb.JSONField()),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='WorkRequestBlueprint',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('tags', django.contrib.postgres.fields.ArrayField(base_field=models.CharField(max_length=30), blank=True, size=8)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('name', models.CharField(max_length=30)),
                ('description', models.CharField(max_length=255)),
                ('requirements_doc', django.contrib.postgres.fields.jsonb.JSONField()),
                ('do_cancel', models.BooleanField()),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='WorkRequestDraft',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('tags', django.contrib.postgres.fields.ArrayField(base_field=models.CharField(max_length=30), blank=True, size=8)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('name', models.CharField(max_length=30)),
                ('description', models.CharField(max_length=255)),
                ('requirements_doc', django.contrib.postgres.fields.jsonb.JSONField()),
                ('copies', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='copied_from', to='lsmrapp.WorkRequestDraft')),
                ('copy_reason', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='lsmrapp.CopyReasonChoice')),
                ('run_draft', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='lsmrapp.RunDraft')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='WorkRequestRelationBlueprint',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('tags', django.contrib.postgres.fields.ArrayField(base_field=models.CharField(max_length=30), blank=True, size=8)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('selection_doc', django.contrib.postgres.fields.jsonb.JSONField()),
                ('consumer', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='consumed_by', to='lsmrapp.WorkRequestBlueprint')),
                ('dataformat', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='lsmrapp.DataformatChoice')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='WorkRequestRelationDraft',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('tags', django.contrib.postgres.fields.ArrayField(base_field=models.CharField(max_length=30), blank=True, size=8)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('selection_doc', django.contrib.postgres.fields.jsonb.JSONField()),
                ('consumer', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='consumed_by', to='lsmrapp.WorkRequestDraft')),
                ('dataformat', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='lsmrapp.DataformatChoice')),
                ('input_role', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='inputs_work_request_relation_draft', to='lsmrapp.WorkIORole')),
                ('output_role', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='outputs_work_request_relation_draft', to='lsmrapp.WorkIORole')),
                ('producer', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='produced_by', to='lsmrapp.WorkRequestDraft')),
                ('selection_template', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='lsmrapp.WorkRelationSelectionTemplate')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='WorkRequestTemplate',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('tags', django.contrib.postgres.fields.ArrayField(base_field=models.CharField(max_length=30), blank=True, size=8)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('name', models.CharField(max_length=30)),
                ('description', models.CharField(max_length=255)),
                ('version', models.CharField(max_length=30)),
                ('schema', django.contrib.postgres.fields.jsonb.JSONField()),
                ('validation_code_js', models.CharField(max_length=30)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.AddField(
            model_name='workrequestrelationblueprint',
            name='draft',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='lsmrapp.WorkRequestRelationDraft'),
        ),
        migrations.AddField(
            model_name='workrequestrelationblueprint',
            name='input_role',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='inputs_work_request_relation_blueprint', to='lsmrapp.WorkIORole'),
        ),
        migrations.AddField(
            model_name='workrequestrelationblueprint',
            name='output_role',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='outputs_work_request_relation_blueprint', to='lsmrapp.WorkIORole'),
        ),
        migrations.AddField(
            model_name='workrequestrelationblueprint',
            name='producer',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='produced_by', to='lsmrapp.WorkRequestBlueprint'),
        ),
        migrations.AddField(
            model_name='workrequestrelationblueprint',
            name='selection_template',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='lsmrapp.WorkRelationSelectionTemplate'),
        ),
        migrations.AddField(
            model_name='workrequestdraft',
            name='template',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='lsmrapp.WorkRequestTemplate'),
        ),
        migrations.AddField(
            model_name='workrequestblueprint',
            name='draft',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='related_work_request_blueprint', to='lsmrapp.WorkRequestDraft'),
        ),
        migrations.AddField(
            model_name='workrequestblueprint',
            name='run_blueprint',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='lsmrapp.RunBlueprint'),
        ),
        migrations.AddField(
            model_name='workrequestblueprint',
            name='template',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='lsmrapp.WorkRequestTemplate'),
        ),
        migrations.AddField(
            model_name='workiorole',
            name='inputs',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='role_input', to='lsmrapp.WorkRequestTemplate'),
        ),
        migrations.AddField(
            model_name='workiorole',
            name='outputs',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='role_output', to='lsmrapp.WorkRequestTemplate'),
        ),
        migrations.AddField(
            model_name='workiorole',
            name='role',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='lsmrapp.RoleChoice'),
        ),
        migrations.AddField(
            model_name='taskiorole',
            name='inputs',
            field=models.ManyToManyField(blank=True, related_name='input_roles_dataproduct_relation', to='lsmrapp.TaskTemplate'),
        ),
        migrations.AddField(
            model_name='taskiorole',
            name='outputs',
            field=models.ManyToManyField(blank=True, related_name='inputs_dataproduct_relation', to='lsmrapp.TaskTemplate'),
        ),
        migrations.AddField(
            model_name='taskiorole',
            name='role',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='lsmrapp.RoleChoice'),
        ),
        migrations.AddField(
            model_name='task',
            name='requested_state',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='task_requested_states', to='lsmrapp.TaskStateChoice'),
        ),
        migrations.AddField(
            model_name='task',
            name='state',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='task_states', to='lsmrapp.TaskStateChoice'),
        ),
        migrations.AddField(
            model_name='task',
            name='template',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='lsmrapp.TaskTemplate'),
        ),
        migrations.AddField(
            model_name='task',
            name='type',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='lsmrapp.TaskTypeChoice'),
        ),
        migrations.AddField(
            model_name='task',
            name='work_request_blueprint',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, to='lsmrapp.WorkRequestBlueprint'),
        ),
        migrations.AddField(
            model_name='rundraft',
            name='generator_source',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, to='lsmrapp.RunSet'),
        ),
        migrations.AddField(
            model_name='rundraft',
            name='run_set',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='run_drafts', to='lsmrapp.RunSet'),
        ),
        migrations.AddField(
            model_name='rundraft',
            name='template',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='lsmrapp.RunTemplate'),
        ),
        migrations.AddField(
            model_name='runblueprint',
            name='draft',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='related_run_blueprint', to='lsmrapp.RunDraft'),
        ),
        migrations.AddField(
            model_name='runblueprint',
            name='template',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='lsmrapp.RunTemplate'),
        ),
        migrations.AddField(
            model_name='defaultworkrequesttemplate',
            name='template',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='lsmrapp.WorkRequestTemplate'),
        ),
        migrations.AddField(
            model_name='defaultworkrelationselectiontemplate',
            name='template',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='lsmrapp.WorkRelationSelectionTemplate'),
        ),
        migrations.AddField(
            model_name='defaulttasktemplate',
            name='template',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='lsmrapp.TaskTemplate'),
        ),
        migrations.AddField(
            model_name='defaultruntemplate',
            name='template',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='lsmrapp.RunTemplate'),
        ),
        migrations.AddField(
            model_name='defaultgeneratortemplate',
            name='template',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='lsmrapp.GeneratorTemplate'),
        ),
        migrations.AddField(
            model_name='dataproductrelation',
            name='input_role',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='input_roles_dataproduct_relation', to='lsmrapp.TaskIORole'),
        ),
        migrations.AddField(
            model_name='dataproductrelation',
            name='output',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='outputs_dataproduct_relation', to='lsmrapp.Dataproduct'),
        ),
        migrations.AddField(
            model_name='dataproductrelation',
            name='output_role',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='output_roles_dataproduct_relation', to='lsmrapp.TaskIORole'),
        ),
        migrations.AddField(
            model_name='dataproductrelation',
            name='task',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='lsmrapp.Task'),
        ),
        migrations.AddField(
            model_name='dataproduct',
            name='specification_template',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='lsmrapp.DataproductSpecificationTemplate'),
        ),
        migrations.AddField(
            model_name='antennaset',
            name='station_type',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='lsmrapp.StationTypeChoice'),
        ),
        migrations.AddIndex(
            model_name='workrequestrelationdraft',
            index=django.contrib.postgres.indexes.GinIndex(fields=['tags'], name='lsmrapp_wor_tags_f13a71_gin'),
        ),
        migrations.AddIndex(
            model_name='workrequestrelationblueprint',
            index=django.contrib.postgres.indexes.GinIndex(fields=['tags'], name='lsmrapp_wor_tags_380e2e_gin'),
        ),
        migrations.AddIndex(
            model_name='workiorole',
            index=django.contrib.postgres.indexes.GinIndex(fields=['tags'], name='lsmrapp_wor_tags_9273c1_gin'),
        ),
        migrations.AddIndex(
            model_name='taskiorole',
            index=django.contrib.postgres.indexes.GinIndex(fields=['tags'], name='lsmrapp_tas_tags_d70796_gin'),
        ),
        migrations.AddIndex(
            model_name='task',
            index=django.contrib.postgres.indexes.GinIndex(fields=['tags'], name='lsmrapp_tas_tags_04a9ae_gin'),
        ),
        migrations.AddIndex(
            model_name='defaultworkrequesttemplate',
            index=django.contrib.postgres.indexes.GinIndex(fields=['tags'], name='lsmrapp_def_tags_2e8945_gin'),
        ),
        migrations.AddIndex(
            model_name='defaultworkrelationselectiontemplate',
            index=django.contrib.postgres.indexes.GinIndex(fields=['tags'], name='lsmrapp_def_tags_eef600_gin'),
        ),
        migrations.AddIndex(
            model_name='defaulttasktemplate',
            index=django.contrib.postgres.indexes.GinIndex(fields=['tags'], name='lsmrapp_def_tags_ad763c_gin'),
        ),
        migrations.AddIndex(
            model_name='defaultruntemplate',
            index=django.contrib.postgres.indexes.GinIndex(fields=['tags'], name='lsmrapp_def_tags_8d5d48_gin'),
        ),
        migrations.AddIndex(
            model_name='defaultgeneratortemplate',
            index=django.contrib.postgres.indexes.GinIndex(fields=['tags'], name='lsmrapp_def_tags_2b9ef8_gin'),
        ),
        migrations.AddIndex(
            model_name='defaultdataproductspecificationtemplate',
            index=django.contrib.postgres.indexes.GinIndex(fields=['tags'], name='lsmrapp_def_tags_fd9476_gin'),
        ),
        migrations.AddIndex(
            model_name='dataproductrelation',
            index=django.contrib.postgres.indexes.GinIndex(fields=['tags'], name='lsmrapp_dat_tags_bd0d28_gin'),
        ),
        migrations.AddIndex(
            model_name='dataproduct',
            index=django.contrib.postgres.indexes.GinIndex(fields=['tags'], name='lsmrapp_dat_tags_567f63_gin'),
        ),
    ]
