"""
This file contains the serializers (for the elsewhere defined data models)
"""

from rest_framework import serializers
from .. import models


class TaskIORoleSerializer(serializers.HyperlinkedModelSerializer):
    class Meta:
        model = models.TaskIORole
        fields = '__all__'


class TaskStateChoiceSerializer(serializers.ModelSerializer):
    class Meta:
        model = models.TaskStateChoice
        fields = '__all__'


class TaskTypeChoiceSerializer(serializers.ModelSerializer):
    class Meta:
        model = models.TaskTypeChoice
        fields = '__all__'


class StationTypeChoiceSerializer(serializers.ModelSerializer):
    class Meta:
        model = models.StationTypeChoice
        fields = '__all__'


class TaskTemplateSerializer(serializers.HyperlinkedModelSerializer):
    class Meta:
        model = models.TaskTemplate
        fields = '__all__'


class DefaultTaskTemplateSerializer(serializers.HyperlinkedModelSerializer):
    class Meta:
        model = models.DefaultTaskTemplate
        fields = '__all__'


class DataproductSpecificationTemplateSerializer(serializers.HyperlinkedModelSerializer):
    class Meta:
        model = models.DataproductSpecificationTemplate
        fields = '__all__'


class DefaultDataproductSpecificationTemplateSerializer(serializers.HyperlinkedModelSerializer):
    class Meta:
        model = models.DefaultDataproductSpecificationTemplate
        fields = '__all__'


class TaskSerializer(serializers.HyperlinkedModelSerializer):
    class Meta:
        model = models.Task
        fields = '__all__'


class DataproductRelationSerializer(serializers.HyperlinkedModelSerializer):
    class Meta:
        model = models.DataproductRelation
        fields = '__all__'


class DataproductSerializer(serializers.HyperlinkedModelSerializer):
    class Meta:
        model = models.Dataproduct
        fields = '__all__'


class AntennaSetSerializer(serializers.HyperlinkedModelSerializer):
    class Meta:
        model = models.AntennaSet
        fields = '__all__'
