"""
A viewset extended with annotation and other common generic behaviours.
"""

from rest_framework import viewsets
from drf_yasg.utils import swagger_auto_schema

class LOFARViewSet(viewsets.ModelViewSet):
    """
    If you're using format suffixes, make sure to also include
    the `format=None` keyword argument for each action.
    """

    def list(self, request):
        return super(UserViewSet, self).list(request)

    @swagger_auto_schema(responses={400: 'invalid specification'})
    def create(self, request):
        return super(UserViewSet, self).create(request)

    @swagger_auto_schema(responses={404: 'not found'})
    def retrieve(self, request, pk=None):
        return super(UserViewSet, self).retrieve(request, pk)

    @swagger_auto_schema(responses={400: 'invalid specification', 404: 'not found'})
    def update(self, request, pk=None):
        return super(UserViewSet, self).update(request, pk)

    @swagger_auto_schema(responses={400: 'invalid specification', 404: 'not found'})
    def partial_update(self, request, pk=None):
        return super(UserViewSet, self).partial_update(request, pk)

    @swagger_auto_schema(responses={404: 'not found'})
    def destroy(self, request, pk=None):
        return super(UserViewSet, self).destroy(request, pk)

