"""
This file contains the viewsets (based on the elsewhere defined data models and serializers)
"""

from lofar_viewset import LOFARViewSet
from .. import models
from .. import serializers


class TaskIORoleViewSet(LOFARViewSet):
    queryset = models.TaskIORole.objects.all()
    serializer_class = serializers.TaskIORoleSerializer


class TaskStateChoiceViewSet(LOFARViewSet):
    queryset = models.TaskStateChoice.objects.all()
    serializer_class = serializers.TaskStateChoiceSerializer


class TaskTypeChoiceViewSet(LOFARViewSet):
    queryset = models.TaskTypeChoice.objects.all()
    serializer_class = serializers.TaskTypeChoiceSerializer


class StationTypeChoiceViewSet(LOFARViewSet):
    queryset = models.StationTypeChoice.objects.all()
    serializer_class = serializers.StationTypeChoiceSerializer


class TaskTemplateViewSet(LOFARViewSet):
    queryset = models.TaskTemplate.objects.all()
    serializer_class = serializers.TaskTemplateSerializer


class DefaultTaskTemplateViewSet(LOFARViewSet):
    queryset = models.DefaultTaskTemplate.objects.all()
    serializer_class = serializers.DefaultTaskTemplateSerializer


class DataproductSpecificationTemplateViewSet(LOFARViewSet):
    queryset = models.DataproductSpecificationTemplate.objects.all()
    serializer_class = serializers.DataproductSpecificationTemplateSerializer


class DefaultDataproductSpecificationTemplateViewSet(LOFARViewSet):
    queryset = models.DefaultDataproductSpecificationTemplate.objects.all()
    serializer_class = serializers.DefaultDataproductSpecificationTemplateSerializer


class TaskViewSet(LOFARViewSet):
    queryset = models.Task.objects.all()
    serializer_class = serializers.TaskSerializer


class DataproductRelationViewSet(LOFARViewSet):
    queryset = models.DataproductRelation.objects.all()
    serializer_class = serializers.DataproductRelationSerializer


class DataproductViewSet(LOFARViewSet):
    queryset = models.Dataproduct.objects.all()
    serializer_class = serializers.DataproductSerializer


class AntennaSetViewSet(LOFARViewSet):
    queryset = models.AntennaSet.objects.all()
    serializer_class = serializers.AntennaSetSerializer


