"""
This file contains the viewsets (based on the elsewhere defined data models and serializers)
"""

from lofar_viewset import LOFARViewSet
from .. import models, serializers
from rest_framework.renderers import BrowsableAPIRenderer, TemplateHTMLRenderer

class TagsViewSet(LOFARViewSet):
    queryset = models.Tags.objects.all()
    serializer_class = serializers.TagsSerializer


class GeneratorTemplateViewSet(LOFARViewSet):
    queryset = models.GeneratorTemplate.objects.all()
    serializer_class = serializers.GeneratorTemplateSerializer


class DefaultGeneratorTemplateViewSet(LOFARViewSet):
    queryset = models.DefaultGeneratorTemplate.objects.all()
    serializer_class = serializers.DefaultGeneratorTemplateSerializer


class RunTemplateViewSet(LOFARViewSet):
    queryset = models.RunTemplate.objects.all()
    serializer_class = serializers.RunTemplateSerializer


class DefaultRunTemplateViewSet(LOFARViewSet):
    queryset = models.DefaultRunTemplate.objects.all()
    serializer_class = serializers.DefaultRunTemplateSerializer


class WorkRequestTemplateViewSet(LOFARViewSet):
    queryset = models.WorkRequestTemplate.objects.all()
    serializer_class = serializers.WorkRequestTemplateSerializer


class DefaultWorkRequestTemplateViewSet(LOFARViewSet):
    queryset = models.DefaultWorkRequestTemplate.objects.all()
    serializer_class = serializers.DefaultWorkRequestTemplateSerializer


class WorkRelationSelectionTemplateViewSet(LOFARViewSet):
    queryset = models.WorkRelationSelectionTemplate.objects.all()
    serializer_class = serializers.WorkRelationSelectionTemplateSerializer


class DefaultWorkRelationSelectionTemplateViewSet(LOFARViewSet):
    queryset = models.DefaultWorkRelationSelectionTemplate.objects.all()
    serializer_class = serializers.DefaultWorkRelationSelectionTemplateSerializer


class RoleChoiceViewSet(LOFARViewSet):
    queryset = models.RoleChoice.objects.all()
    serializer_class = serializers.RoleChoiceSerializer


class DatatypeChoiceViewSet(LOFARViewSet):
    queryset = models.DatatypeChoice.objects.all()
    serializer_class = serializers.DatatypeChoiceSerializer


class DataformatChoiceViewSet(LOFARViewSet):
    queryset = models.DataformatChoice.objects.all()
    serializer_class = serializers.DataformatChoiceSerializer


class CopyReasonChoiceViewSet(LOFARViewSet):
    queryset = models.CopyReasonChoice.objects.all()
    serializer_class = serializers.CopyReasonChoiceSerializer


class WorkIORoleViewSet(LOFARViewSet):
    queryset = models.WorkIORole.objects.all()
    serializer_class = serializers.WorkIORoleSerializer


class CycleViewSet(LOFARViewSet):
    queryset = models.Cycle.objects.all()
    serializer_class = serializers.CycleSerializer


class ProjectViewSet(LOFARViewSet):
    queryset = models.Project.objects.all()
    serializer_class = serializers.ProjectSerializer


class RunSetViewSet(LOFARViewSet):
    queryset = models.RunSet.objects.all()
    serializer_class = serializers.RunSetSerializer


class RunDraftViewSet(LOFARViewSet):
    queryset = models.RunDraft.objects.all()
    serializer_class = serializers.RunDraftSerializer


class RunBlueprintViewSet(LOFARViewSet):
    queryset = models.RunBlueprint.objects.all()
    serializer_class = serializers.RunBlueprintSerializer


class WorkRequestDraftViewSet(LOFARViewSet):
    queryset = models.WorkRequestDraft.objects.all()
    serializer_class = serializers.WorkRequestDraftSerializer


class WorkRequestBlueprintViewSet(LOFARViewSet):
    queryset = models.WorkRequestBlueprint.objects.all()
    serializer_class = serializers.WorkRequestBlueprintSerializer


class WorkRequestRelationDraftViewSet(LOFARViewSet):
    queryset = models.WorkRequestRelationDraft.objects.all()
    serializer_class = serializers.WorkRequestRelationDraftSerializer


class WorkRequestRelationBlueprintViewSet(LOFARViewSet):
    queryset = models.WorkRequestRelationBlueprint.objects.all()
    serializer_class = serializers.WorkRequestRelationBlueprintSerializer


# --- JSON


class WorkRequestBlueprintViewSetReactJSONform(LOFARViewSet):
    queryset = models.WorkRequestBlueprint.objects.all()
    serializer_class = serializers.WorkRequestBlueprintSerializerReactJSONform


class WorkRequestBlueprintViewSetJSONeditor(LOFARViewSet):
    queryset = models.WorkRequestBlueprint.objects.all()
    serializer_class = serializers.WorkRequestBlueprintSerializerJSONeditor


class WorkRequestBlueprintViewSetJSONeditorOnline(LOFARViewSet):
    queryset = models.WorkRequestBlueprint.objects.all()
    serializer_class = serializers.WorkRequestBlueprintSerializerJSONeditorOnline


# # todo: this is experimental / for demo purposes. Remove or make functional.
# class JSONEditorViewSet(LOFARViewSet):
#      renderer_classes = [TemplateHTMLRenderer]
#      template_name = 'react_jsonschema_form.html'
#      queryset = models.WorkRequestBlueprint.objects.all()
#      serializer_class = serializers.WorkRequestBlueprintJSONSerializer
